<template>
  <div class="bg-white shadow rounded-xl">
    <router-link :to="{name: 'mealDetails', params: {id: meal.idMeal}}">
      <img :src="meal.strMealThumb" :alt="strMeal" class="rounded-t-xl w-full h-48 object-cover">
    </router-link>
    <div class="p-3">
      <h3 class="font-bold">{{ meal.strMeal }}</h3>
      <div class="flex items-center justify-between pt-6 pb-3">
        <YouTubeButton :href="meal.strYoutube">Go To YouTube</YouTubeButton>
        <OriginalSourceButton :href="meal.strSource">Original Source</OriginalSourceButton>
      </div>
      <div class=" mx-auto pt-4" :class="'line-clamp-3'">
        <p>
          {{ meal.strInstructions }}
        </p>
      </div>
    </div>
  </div>
</template>


<script setup>
import YouTubeButton from "@/components/YouTubeButton.vue";
import OriginalSourceButton from "@/components/OriginalSourceButton.vue";

const { meal } = defineProps({
  meal: {
    required: true,
    type: Object
  }
})
</script>